
### About Me

![](../images/pfphoto.jpg)

** Yosuke Tsuchiya **  
I am working as research associate (just became from this April) in a university located in Tokyo. In the university, my research interest is how to apply recent ICT movement (including digital fabrication, civic tech and so on) to issues in regional development. I have been conducting practical research in various regional town in Japan. I belong to the department of information system and works as manager of campus network and education system.

Speciality: Socio-Informatics, ICT for Development.

** Motivation to Fab Academy **

My motivation for Fab Academy are to learn basic (and essential) skills of digital fabrication for my studies and for launching FabLab in some regions where I am taking my own studies. Also, teaching about digital fabrication in my university would also be my motivation to join.  

** Links **


[GitHub](https://github.com/yskt0810) | [Projects (MyGitLab)](https://gl.ysklab.net)  

[Facebook](https://www.facebook.com/yosuke0810) | [Twitter](https://twitter.com/yskt0810) | [Instagram](https://www.instagram.com/yskt0810/)  


### Research

I am concerning how to apply recent ICT movement (including digital fabrication, civic tech and so on) to issues in regional development. I am conducting some practical research in remote site in Japan. Here I will introduce some of those practices.

**Community Sensing with local people by Co-Creation approach**

Sensor data is very useful for seeking something new aspects of our live in communities. Moreover, making those sensor devices becomes very easy to make by using Arduino or Raspberry pi. So, this project collaborate with local people to make sensor devices and collect sensor data for seeking new aspects of their community.

***Nakaminato, Ibaraki***

I am conducting this project for a couple of years in [Nakaminato](https://www.japan.travel/en/spot/1461/) (Ibaraki Prefecture), where is the fishing port town located Northeast 150km far away from central Tokyo.

<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d828071.5069548031!2d139.81277062218854!3d35.82689073523919!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x602231831cb0636d%3A0x80ef11068bd73428!2z6YKj54-C5rmK6aeF!5e0!3m2!1sja!2sjp!4v1556114499230!5m2!1sja!2sjp" width="600" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>

Here, I am collaborating with staffs of Small Art Project(called [Minato Media Museum](https://minato-media-museum.com/). In demonstration of Sensor Devices and Idea thinking with them, I did two sensing project here.

![](./IMG_8080.JPG)
![](./IMG_8042.JPG)

One is to count how many people coming (visiting) to their art event (hold in every August) by using Ultra sonic sensor. I made five sensor devices with the staffs and put them in front of their artworks. And, visualizing how many people visiting in 5 places everyday.

![](./IMG_8443.JPG)
![](./IMG_8296.JPG)
![](./0901.jpg)
![](./0902.jpg)

Another project is to tracing where is the community's mascot (idiot) cat walking around. I put tiny GPS data logger in the cat and collect their GPS data and visualized on the Google Map.

<iframe src="https://www.google.com/maps/d/embed?mid=14CaWCeW8TmAPp7e0Fy-SXQzX-_c" width="640" height="480"></iframe>
