# 8. Computer controlled machining

This week topic is about computer controlled machining. I learned how to make something big like chairs, tables, furnitures or even though house. This topic is very exciting and through the assignment in this week, I'm very fascinaged to Shopbot. The class video is [here](https://vimeo.com/321871297).  

![](./week08_img/finishC.jpg)

### Assignment

**group assignment**

- test runout, alignment, speeds, feeds, and toolpaths for your machine

**individual assignment**

- make something big

In the group assignment, we checked the basic features of our machine. Please also check our [week 8 group assignment page](http://fabacademy.org/2019/labs/kamakura/assignments/week08/).

### Idea: Making a bookshelf that can put a display on

My desk is always messy and there are a lot of books, documents.... Also, I am using Mac Thunderbolt display for connecting my Macbook Pro. I always thought I want a bookshelf that can put a display on. So, in this assignment, I decide to make it.

Requirements
- A big (at least length: 1m x height: 30cm) bookshelf.
- A wider that can put a display on (at least width: 30cm)
- Making joints to assemble each parts (not to use nails).

### Modelling

First, I make a parametric 3D model of the bookshelf by Autodesk Fusion 360. This time, I use 1210mm x 1220mm x 1.5mm Pywood. And, in the group-assignment, I checked the kerf for press-fitting joint (and this time, it would be 0mm). The followings are parameters that I set.

| parameter| value |
|----------|-------|
| length   | 1000mm|  
| width    | 300mm |  
| height   | 300mm |  
| thickness| 15mm  |   
|jointwidth| 50mm  |

![](./week08_img/IMG_7137_17p.jpg)  

Making 2D sketch: five parts should be designed. I set 125mm between each joint parts. Then, I made semi-circle for cutting on each side parts.  

![](./week08_img/fusion-scn1.png)  

Then, making 3D components from 2D sketch.

- "extrude" each parts and the parameter use "thickness (1.5mm)"
- "modify" -> "New Component" each parts

![](./week08_img/fusion-scn2.png)

I checked whether each parts would be assembled correctly by doing "Assemble" -> "joint". It looks fine and I confirmed each parts would be assembled.

![](./week08_img/fusion-scn3.png)

Finally, each component is projected to new sketch and exported as DXF file. I divided components into two sketches to project because the material is too small to cut all components and I wanna use other end material.

![](./week08_img/fusion-scn4.png)
![](./week08_img/fusion-scn5.png)

### vCarve

Then, I imported my DXF file into vCarve and make CAM file for shopbot. The important parameter is here:

|  parameter               |value                             |         
|--------------------------|----------------------------------|
| mill type                | 1/4 inch Down cut (57-910)       |
| Spindle Rotate Speed     | 12000 rpm                        |
| job size                 | 1210mm x 1220mm                  |
| Cut Depth                | 15.5mm (borad thickness + 0.5mm) |
| Feed                     | 3.0 inch/second                  |
| Vector processing        | Outline                          |

And, I set T-bone fillet in every corner.
![](./week08_img/vCarve-scn1.png)
![](./week08_img/vCarve-scn2.png)

Also, I added Tabs

![](./week08_img/vCarve-addTab.png)

Then, I checked the 3D view and milling simulation, then, exported to shopbot file (.sbp).

![](./week08_img/vCarve-scn3.png)
![](./week08_img/vCarve-scn4.png)


### Cutting by Shopbot.

In this time, I used Shopbot on Techshop Tokyo.
![](./week08_img/shopbot.jpg)

Cutting side parts.  
![](./week08_img/cuttingA.jpg)

Cutting anotherr parts.
![](./week08_img/CuttingB.jpg)

After finished, cutting each tabs.
![](./week08_img/CuttingTabs.jpg)

Then, cutting finished.
![](./week08_img/completeA.jpg)


### Complete

Assembled Correctly.
![](./week08_img/finishD.jpg)

I could put books.  
![](./week08_img/finishC.jpg)

Also, I could put large desktop on the bookshelf.
![](./week08_img/finishB.jpg)


### Week 08 Files

- Autodesk Fusion 360 Model of the bookshelf [f3d](./week08_img/assignment8_make_something_big_v2-15.f3d) [STL](./week08_img/assignment8_make_something_big_v2-v15.stl)
- DXF files of the bookshelf [PartA](./week08_img/week8_assignment_partA.dxf) [PartB](./week08_img/week8_assignment_partB.dxf)
- vCarve files of the bookshalf [PartA](./week08_img/assignment08_partA.crv) [PartB](./week08_img/assignment08_partB.crv)
- Shopbot files (.sbp) [PartA](./week08_img/assignment08_partA.sbp) [PartB](./week08_img/assignment08_partB.sbp)
