# 20. Project development

The class shows some example of final projects in previous years. There are a lot of interesting project I could see and inspired something from here. The class video is [here](https://vimeopro.com/academany/fab-2019/video/340790238)

###Assignment

Complete your final project, tracking your progress:

- what tasks have been completed, and what tasks remain? 
- what has worked? what hasn't?
- what questions need to be resolved?
- what will happen when?
- what have you learned?

The following description is at the point on July 6. 

###What task have been completed, and what tasks remain?

**Completed Tasks:**

- Studying robotics to learn mechanical design of walking robot. 
    - by making and analyzing FabWalker
    - by making and analyzing commercial toy robots by TAMIYA
- 3D design of mechanism of six legs walking. by Autodesk Fusion
- Computer-controlled cutting (using laser cutter) for making parts of robot
- 3D design of BEETLE body by Autodesk Fusion
- 3D printing of BEETLE body
- Electrocics design of DC motor drivers and check it does works or not. 


**Remained Tasks:**

- Electronics Design by Autodesk EAGLE: Based on Satshakit and added dual DC motor driver (TG6612FNG) and 5V regulator
- Making of Designed PCB by Roland SRM-20
- Embedded Programming by Arduino for controlling DC motors 
- Making some original sensor modules for measuring something in nature. That sensor modules have VCC, GND and ADC pins.
- Network Communications (Wifi or BLE, I still does not decide yet)
- Interface application for controlling robot and receive logging sensor data.


###What has worked? What hasn't?

**Worked**

Mechanical Design of 6 legs walking. I studied basic of robots mechanism and design it and confirmed to works. Also, checked it could be controlled from microcontroller with using TG6612FNG dual DC motor driver and I could have a prediction that it would works on my designed PCB. 

**Not Worked**

At this point, Electronics Dsign and making PCB borad does not completed. I think it would be one of the most hard tasks to complete. This should be highest priority to complete.

Based onthe triage, I have set low priority on following functions.

- Networking Communciations
    - I tried to use some WiFi or BLE in lab inventory. But, I could found out it is a little bit difficult to use them. So, still need time to find out more suitable one. 
- Interface Applications
    - I have already keep some sample code for data visualization program. But, it could not be examined until when networking communication does installed.

I regard those are also important functions for ideal of my final project. But, now it should be more high priority to work as a robot having some sensors.

So, making Original Dseigned PCB is most high priority because it would be a center part of this final project.

On the other hands, Newotking Communications and Interface Applications are not high priority to finish my final project this time.


###What questions need to be resolved?

- how to assemble each parts (PCB, battery packs and other parts)?
- how to solider TG6612FNG because it is too small chip that ATMega microcontroller.
- Voltage supply. DC motor drivers are noisy and it would be influenced to microcontroller. How to design power supply part for microcontrollers and DC motor driver. 

###What will happen when?

The following description is at the point on July 6. 

- June 11: Completing to make Original PCB
- June 12: Completing to make Insect Body by 3D Printing
- June 13: Make a sensor module, connect to PCB and test it
- June 15: Integrations
- June 16: I have to complete to make integrated one until this day.
- June 17: Making slide and video, and presentation.
- June 19: I will finish to write-up the documentation.
- June 26 - July 3: Getting Feedbacks and revise/add something that would required. 
- July 3: Final Day for revising.

###What have you learned?

One of the tough part was mechanical design of robot. I have never make robots, so I couldn't imagine how to make it and what should I do. 

So, this final project has started from researching some basic knowledge of robotics and mechanism of robot walking. Also, I make some robots and analzed it. I took so many times for these tasks, but it should be do more early stage of this Fab Academy cycle. 

From these experience, I have keenly realized the importance of project management, especiall time management (supply side and demand side). In each assignment, I have always tried to do something that I had never did before. I hadn't do each assignment with concerning final project development. 

For example, if I have completed to research of robot mechanism, at least the following weekly assignment would be related to my final project.

- [Week 6: 3D printing and scanning](../week6/): Maybe I could try to print out big Insect body.
- [Week 12: Output devices](../week12/): Maybe I could try to work DC motor drivers (not servo motors)
- [Week 14: Networking and Communications](../week14): Maybe if I could make Wi-Fi module, I could easily use it in the final project.


I had learned so many things in each assignments. Therefore, I will not regret about it. But, at this point, learning new things has over. Now is the time to compromise something for completing minimum requirement of final project.


