# 3. Computer Aided design

The topic of this week is Designing tool. So many kinds of 2D/3D design tools are introduced. Class video is [here](https://vimeo.com/314594035)


## Assignment

model (raster, vector, 2D, 3D, render, animate, simulate, ...) a possible final project, and post it on your class page

#### Learning outcomes 

- Evaluate and Select 3D and 3D sofrware
- Demonstrate and describe processes used in modelling with 2D and 3D software

#### Have you

- Modelled experimental objects/part of a possible project in 2D and 3D software
- Shown how you did it with words/images/screenshots
- Include your original design files


## Selected softwares

I selected those softwares for demonstarating my potential final project.

- 2D
	- GIMP
	- Inkscape

- 3D
	- FreeCAD (as 2D & 3D modelling)
	- Autodesk Fusion 360.


---

## 2D Softwares  


#### GIMP  

GIMP: GNU Image Manupulator Program is very familier for me to use. We can use this powerful 2D raster image software freely. I downloaded and installed [latest version of GIMP for Mac OS (2.10.8)](https://download.gimp.org/pub/gimp/v2.10/osx/). 

A couple of years ago, when I first time start to use GIMP on my Mac, it requireed to install X11 environment such as [Xquartz](https://www.xquartz.org/), and it seemed to let performance of the GIMP in low. From version 2.8, GIMP runs on OSX natively, and the performance was improved.  

With using GIMP, I made a logo for my final project modifying from a sketch. First, I import the sketch file into GIMP.

![](./week03_img/3-1.jpg)  

Next, clopped the sketch of beetle with using free select and eraser tool.  
  
![](./week03_img/3-3.jpg)  

Finally, I create new file and set the size in 320x320. Then, I pasted clipped beetle sketch and resized it. 

![](./week03_img/3-4.jpg)  

The logo of the final project:  

![](./week03_img/logo.jpg)  

---

#### Inkscape  

Inkscape is also familiar for me to use. However, in Mac OS X, it is required to install [XQuartz](https://www.xquartz.org/) to run Inkscape. [This site](https://inkscape.org/ja/release/0.92.2/mac-os-x/107/dmg/) is useful to know how to install Inkscape into Mac OS. I tried it and run on Inkscape, everything looks fine, but a little slow to work.  

Sometimes, I use Adobe Illustrator to make posters for presentations of my research at the conference. So, here I tried to make A4 poster data to introduce my final project.

![](./week03_img/3-5.jpg)

---

## 3D Softwares

#### FreeCAD

FreeCAD is very interesting modeling tool. It is useful not only for 3D modeling but also for 2D sketching. 

I tried to make 3D models of the parts of my final project (a body of beetles). First, I created a slot on a X-Y Plane. To make a slot, I had to set three constraints (radius of every arcs, same distance of line between left and right, and symmetry contraints between two points). 

![](./week03_img/3-6.jpg)  

Most important part of 2D sketching on FreeCAD is constraints. And if we get used it, it would be easily lead us to parametric design. 

Next is to make a cross-sectional view of beetle body. I created an arc and added two lines. Then, I added constraint of angle between twn lines. Finally, I set the distance of each vertex of arcs and X or Y Axis lines.  

![](./week03_img/3-7.jpg)  

Finally, I finished to write up sketches for making basic body of Beetle. 

![](./week03_img/3-8.jpg)  

To tell the truth, I was a little bit confused about methods of operation of FreeCAD because it does not need drag or drop operations to make shapes, sketches and so on. But, FreeCAD requires to input parametors of constraints. In short, I thought methods of operations of FreeCAD are a little bit different (or difficult) from other standard 3D CAD softwares such as Autodesk, Maya and so on.   


But, I know those problems would be solved by practicing to get used to it, and I strongly want to be more get used to Free CAD because, in my opinion, it is very powerful to use for parametorical modelling.


---

#### Autodesk Fusion 360.

Autodesk Fusion 360 is very powerful 3D CAD software, and finally I selected as a main 3D CAD software for my final projects.

For the final project, I am researching a mechanism of waking of insect robot (like hexapod). I am looking for the way that make it simply. I could find this video on YouTube:

<iframe width="560" height="315" src="https://www.youtube.com/embed/Vu_9TIeIRfQ" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

I try to make the mechanical model of six legged insect robot with following this video. Most difficult part is to model each parts with imaginig mechanism for walking around.

![](./week03_img/3-9.jpg)

Finally, I could make it and checked it works or not. This version still does not walk well, and I found a solution and that worked well. I will update the video soon again later.

<iframe src="https://player.vimeo.com/video/314987898" width="640" height="393" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>

Also, I rendered the model. It is a image the machine is walking around the garden.

![](./week03_img/3-10.jpg)


## Week 03 Files 

- GIMP (logo of the final project) [[logo.xcf](./week03_img/logo.xcf)][ [logo.jpg](./week03_img/logo.jpg) ]  
- Inkscape (poster of the final project)[[poster.svg](./week03_img/poster.svg)]  
- FreeCAD (base parts of a Beetle) [[FreeCADTest1.FCStd](./week03_img/FreeCADTest1.FCStd)]
- Autodesk Fusion 360 (modelling file of simple six legged insecrt robot) [[model](https://a360.co/2Sc8Z59)]









