# 4. Computer controlled cutting

This week, we learned characters, usages of computer controlled cutting tools such as laser cutter, vinyl cutter. Class video is here.

![](./week04_img/4-1.jpg)  


## Assignment

- Group Assignment
    - Characterize your lasercutter, making lasercutter test part(s), making test part(s) that vary cutting settings and dimensions.
- Individual Assignment
    - Cut something on the vinylcutter
    - Design, lasercut, and document a parametric press-fit construction kit, which can be assembled in multiple ways. Account for the lasercutter kerf.

In our group assignment, I tested optimal parameter of kerf of FabLab Kamakura's Laser Cutter. Please also see [here](http://fabacademy.org/2019/labs/kamakura/assignments/week04/#press-fit-test-yosuke) to find out my work in the group.

---

## Vinyl Cutting

I used [CAMEO / silhouett America](https://www.silhouetteamerica.com/) (equipped at Fab Lab Kamakura) for cutting beatle logo that I made by GINP in last week's assignment.   

![](./week04_img/4-2.jpg)  

First, I downloaded and installed [Silhuette Studio](https://www.silhouetteamerica.com/software) for controlling CAMEO from my Mac PC. Then, I imported jpeg file of [the logo](./week03_img/logo.jpg).

![](./week04_img/4-3.jpg)  

Then, I moved to "Cut setting" mode (and the outline of the logo turned into red), and chose "Vinyl" in Material Type.

![](./week04_img/4-4.jpg)  

Setting "Silhuette Ratchet Blade" parameter in "3" (the same with the real blade parameter), then push "Send to Silhuette" to start cutting.

<iframe src="https://player.vimeo.com/video/316781987" width="640" height="480" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>

Umm...... Cut well done.  

![](./week04_img/4-5.jpg)  

After finished cutting, I peeled off the seal, and pasted it to the smartphone case by using carbon paper.

<img src='../week04_img/4-6.jpg' width="50%"><img src='../week04_img/4-7.jpg' width="50%">
<img src='../week04_img/4-8.jpg' width="50%"><img src='../week04_img/4-9.jpg' width='50%'>

Finally, I pasted the logo on the smartphone case.

<img src='../week04_img/4-10.jpg' width="50%"><img src='../week04_img/4-11.jpg' width='50%'>

---

## Press-fit construction kit


As an assignment of laser cutter, I decided to design cardboard module kits that is something like 2D puzzles or LEGO blocks, and those kit can make something to stand. The basic design of each parts are regular polygon, and there are some nicks on those shapes.


### Parametric Design of the modules

I used Autodesk Fusion 360 to make each modules. First, I set up parameters of parts as follow.

![](./week04_img/4-12.jpg)  

Then, I shetched shapes of module.

![](./week04_img/4-13.jpg)  

After sketeched some patterns of module, I did "extrude" each shapes and make those components.

![](./week04_img/4-14.jpg)  

Then, I did "project" those shapes to another sketch.

![](./week04_img/4-15.jpg)  

FInally, I saved the projected sketch into DXF file.

![](./week04_img/4-16.jpg)  


### laser cutting

I imported above DXF files into the PC that are connected to lab's laser cutteing machine (Trotec Speedy 100). Then, I set the power = 85 and speed = 1.2, find out as optimal parameters in our [group assignment](http://fabacademy.org/2019/labs/kamakura/assignments/week04/#team-a-identify-optimal-power-and-press-fit-test).

![](./week04_img/4-17.jpg)  

Well,,, start cutting.  

![](./week04_img/4-18.jpg)  

Cutting is done. It looks nice.

![](./week04_img/4-1.jpg)  

After finished cutting, I tested press-fit of modules each other.

![](./week04_img/4-19.jpg)  

It looks work well.

![](./week04_img/4-20.jpg)  


### Module Works

I show some samples that makes with this module kit.

![](./week04_img/4-21.jpg)  

Penholder (Quadrangular prism + supporter)

![](./week04_img/4-22.jpg)  

Penholder (Triangular prism). This penholder does not need to add supporter to stand pens.

![](./week04_img/4-24.jpg)  

![](./week04_img/4-23.png)  

Business card stand.

![](./week04_img/4-25.jpg)  

Make two bussiness card stand and assembled each other.

![](./week04_img/4-26.jpg)  

![](./week04_img/4-27.jpg)  

That became to Smartphone stand.... Very nice.


### Week 04 files

- Autodesk Fusion file of press-fit construction kit [[a360]](https://a360.co/2TZvF9x)
- DXF file of press-fit construction kit [[DXF]](./week04_img/press-fit.dxf)
- Silhuette Studio file of the logo [[silhuette studio 3](./week04_img/week04-vinyl.studio3)][[DXF](./week04_img/week04-vinyl.dxf)]
