# 18. Wildcard week - Softrobotics

The class in this week is "wildcard week". Students should research fabrication process as they concern and try it. In the class, there are a couple of recent new and interesting fabrication processes are introduced such as biotechnology (bioacademy), textile (fabricademy), composites, robotics, folding and cooking. The class video is [here](https://vimeo.com/338245837).

<center>
	<img src="../week18_files/softrobotics-1.jpg">
</center>

### Assignment

Design and produce something with a digital fabrication process (incorporating computer-aided design and manufacturing) not covered in another assignment, documenting the requirements that your assignment meets, and including everything necessary to reproduce it. Possibilities include (but are not limited to) composites, textiles, biotechnology, robotics, folding, and cooking.

### Softrobotics

This week, I tried Softrobotics. Softrobotics is one of the field of robotics which are focus on technologies that more closely resemble the physical characteristics, natures. Softrobotics is also [one of the topics in the Fabricademy 2018-2019](https://class.textile-academy.org/classes/week11/).

In this week, I tried to make a soft gripper arms with reffering [Jun Kawahara's documentation page of Softrobotics](https://class.textile-academy.org/2019/jun.kawahara/).(our instructor and Fabricademy 2018-2019 cycle participant from FabLab Kamakura).

<center>

<iframe width="560" height="315" src="https://www.youtube.com/embed/csFR52Z3T0I" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

</center>

### 3D Modelling & Printing

First, I made a 3D model of mold for the soft gripper. In this assignment, I decided to make a softgripper which have three arms.

First, making a 2D sketche of the mold.

![](./week18_files/softrobotics-fusion3.png)

Then, construct to 3D model and make a stl file for importing into Slicer software.

![](./week18_files/softrobotics-fusion4.png)

In this time, I decided to use Prusa i3 MK3 (that are the one our lob mate, Rico-san, brought). 

![](./week18_files/prusa.jpg)

I downloaded [Prusa slicer](https://www.prusa3d.com/prusaslicer/) and isntalled into my Macbook. Then, open a stl file of the mold. 

<center>
![](./week18_files/prusaslicer.png)
</center>

Then, started printing.

![](./week18_files/printing.jpg)

Printing finished

![](./week18_files/printing-finished-first.jpg)

### Molding and Casting

With reffering the assignment of [week10: Molding and Casting](http://archive.fabacademy.org/2019/labs/kamakura/students/tsuchiya-yosuke/assignments/week10/), I will cast the softgripper with using the mold that printed out. 

I use Ecoflex 00-30 for casting softgripper, a silicon rubber that makes soft materials. 

![](./week18_files/ecoflex00-30.jpg)

Mixing Material A and Material B in 1:1 proposions and insert into the printed mold. Then, waiting for over 4 hours that the silicon rubber would sets.

<center>
<img src="../week18_files/ecoflex-mixing.jpg" width="340">
<img src="../week18_files/insertto-mold.jpg" width="340">
</center>

The result was...  not good. It was quite difficlt to remove the softgripper from the mold. As a result, some parts were broken when removing it.

![](./week18_files/1st-result.jpg)

Dicussing with [Kae Nagano (also same assignment in this week)](http://archive.fabacademy.org/2019/labs/kamakura/students/kae-nagano/assignments/week18/), I found a proble of my printed mold. The gaps between outside and inside material in my mold is thinner than that od sample model (that can be downloaded from [here](https://www.instructables.com/id/Air-Powered-Soft-Robotic-Gripper/).

![](./week18_files/the-problem.jpg)

So, I revised my 3D model. In details, I changed the gap between outside and inside materials from 1mm to 0.75mm. Moreover, the thickness of outside changed from 2mm to 1mm. 

![](./week18_files/softrobotics-fusion5.png)

Then, I printed it again, and insert the same Ecoflex 00-30 Silicon rubber.

![](./week18_files/IMG_7813.jpg)

And, finall, I could get a good one for soft-gripper.

![](./week18_files/IMG_7820.jpg)

### Result and some observations

Then, I inserted a air into the soft-gripper.


<center>
	<iframe src="https://player.vimeo.com/video/338523248" width="640" height="360" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
</center>

It is well worked as as soft-gripper. But, after inserting a air, the soft-gripper suddenly bursted.... I guess the air power was a littile bit strong. 

Anyway, I could learn how to make a robot parts with soft materials and how does it works throught this assignment. It would inspired something for my final project.... making insect robot arm with soft materials and those kinds. 

This week assignment was also tough nevertheless I want to to concentrate for my final project development. But, it was nice experince for me to have a chance to research advanced fabrication technologies by myself and try it. 

### Week 18 files.

- 3D model of the mold for softgripper ([stl](./week18_files/fabacademy_softrobotics_grpi_v2.stl))
- 3D model of the mold for softgripper ([Fusion 360 file](./week18_files/FabAcademy_week18 v8.f3d))
- G-Code file of 3D model of the mold ([for Prusa](./week18_files/fabacademy_softrobotics_grpi_v2_0.15mm_PLA_MK3S.gcode))




